Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.namespace
Class NameSpaceHelper

    java.lang.Object
      fr.jayasoft.ivy.namespace.NameSpaceHelper

public class NameSpaceHelper
extends java.lang.Object

Constructor Summary
`NameSpaceHelper()`

Method Summary
`static DependencyDescriptor` | `toSystem(DependencyDescriptor dd, Namespace ns)`
`static ModuleDescriptor` | `toSystem(ModuleDescriptor md, Namespace ns)`
`static ResolvedModuleRevision` | `toSystem(ResolvedModuleRevision rmr, Namespace ns)`
`static ArtifactId` | `transform(ArtifactId artifactId, NamespaceTransformer t)`
`static Artifact` | `transform(Artifact artifact, NamespaceTransformer t)`
`static DependencyDescriptor` | `transform(DependencyDescriptor dd, NamespaceTransformer t)`
`static ModuleId` | `transform(ModuleId mid, NamespaceTransformer t)`
`static java.lang.String` | `transformOrganisation(java.lang.String org, NamespaceTransformer t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameSpaceHelper

    public NameSpaceHelper()

Method Detail

### toSystem

    public static DependencyDescriptor toSystem(DependencyDescriptor dd,
                                                Namespace ns)

### transform

    public static DependencyDescriptor transform(DependencyDescriptor dd,
                                                 NamespaceTransformer t)

### toSystem

    public static ModuleDescriptor toSystem(ModuleDescriptor md,
                                            Namespace ns)

### toSystem

    public static ResolvedModuleRevision toSystem(ResolvedModuleRevision rmr,
                                                  Namespace ns)

### transform

    public static Artifact transform(Artifact artifact,
                                     NamespaceTransformer t)

### transform

    public static ArtifactId transform(ArtifactId artifactId,
                                       NamespaceTransformer t)

### transform

    public static ModuleId transform(ModuleId mid,
                                     NamespaceTransformer t)

### transformOrganisation

    public static java.lang.String transformOrganisation(java.lang.String org,
                                                         NamespaceTransformer t)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD